#
# spec file for package perl-Search-Xapian (Version 1.0.4.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-Search-Xapian
Version:        1.0.4.0
Release:        1.2
%define xapian_version 1.0.4
#
License:        GPL
Group:          Productivity/Databases/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xapian-core-devel = %{xapian_version}
Requires:       xapian-core-libs  = %{xapian_version}
#
Url:            http://www.xapian.org/
Source:         http://search.cpan.org/CPAN/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz
Patch:          perl-Search-Xapian-1.0.4_thread_testsuite.patch
#
Summary:        perl bindings for Xapian
%description
This is Search::Xapian, a Perl XS frontend to the Xapian C++ search
library.


%prep
%setup -n Search-Xapian-%{version}
%patch

%build
%{__perl} Makefile.PL --verbose
%{__make}
%{__make} test

%install
%perl_make_install
%perl_process_packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/Search/Xapian.pm
%dir %{perl_vendorarch}/Search
%{perl_vendorarch}/Search/Xapian/
%dir %{perl_vendorarch}/auto/Search
%{perl_vendorarch}/auto/Search/Xapian/
%{_mandir}/man3/Search::Xapian.3pm*
%{_mandir}/man3/Search::Xapian::BM25Weight.3pm*
%{_mandir}/man3/Search::Xapian::BoolWeight.3pm*
%{_mandir}/man3/Search::Xapian::Database.3pm*
%{_mandir}/man3/Search::Xapian::Document.3pm*
%{_mandir}/man3/Search::Xapian::Enquire.3pm*
%{_mandir}/man3/Search::Xapian::PositionIterator.3pm*
%{_mandir}/man3/Search::Xapian::PostingIterator.3pm*
%{_mandir}/man3/Search::Xapian::QueryParser.3pm*
%{_mandir}/man3/Search::Xapian::Stem.3pm*
%{_mandir}/man3/Search::Xapian::TermIterator.3pm*
%{_mandir}/man3/Search::Xapian::TradWeight.3pm*
%{_mandir}/man3/Search::Xapian::Weight.3pm*
%{_mandir}/man3/Search::Xapian::WritableDatabase.3pm*
%{_mandir}/man3/Search::Xapian::TermGenerator.3pm*
%{_mandir}/man3/Search::Xapian::ValueIterator.3pm*
/var/adm/perl-modules/perl-Search-Xapian

%changelog
* Tue Nov 20 2007 mrueckert@suse.de
- added perl-Search-Xapian-1.0.4_thread_testsuite.patch:
  make thread.t pass
* Mon Nov 19 2007 mrueckert@suse.de
- update to version 1.0.4.0
* Sun Jun 24 2007 mrueckert@suse.de
- update to version 1.0.1.0
* Sun Apr  1 2007 mrueckert@suse.de
- initial package of 0.9.10.0
